Description: adjust ejabberdctl
 The default ejabberdctl needs some changes to work correctly and to
 avoid unnecessary problematic changes compared to older versions.
Author: Philipp Huebner <debalance@debian.org>

Index: ejabberd/ejabberdctl.template
===================================================================
--- ejabberd.orig/ejabberdctl.template
+++ ejabberd/ejabberdctl.template
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 # define default configuration
 POLL=true
@@ -13,11 +13,10 @@
 [ -z "$SCRIPT" ] && SCRIPT=$0
 SCRIPT_DIR="$(cd "$(dirname "$SCRIPT")" && pwd -P)"
 # shellcheck disable=SC2034
-ERTS_VSN="{{erts_vsn}}"
 ERL="{{erl}}"
 IEX="{{bindir}}/iex"
 EPMD="{{epmd}}"
-INSTALLUSER="{{installuser}}"
+INSTALLUSER=ejabberd
 
 # check the proper system user is used
 case $(id -un) in
@@ -57,8 +56,8 @@
 done
 
 # define ejabberd variables if not already defined from the command line
-: "${CONFIG_DIR:="{{config_dir}}"}"
-: "${LOGS_DIR:="{{logs_dir}}"}"
+: "${CONFIG_DIR:="/etc/ejabberd"}"
+: "${LOGS_DIR:="/var/log/ejabberd"}"
 : "${EJABBERD_CONFIG_PATH:="$CONFIG_DIR/ejabberd.yml"}"
 : "${EJABBERDCTL_CONFIG_PATH:="$CONFIG_DIR/ejabberdctl.cfg"}"
 # Allows passing extra Erlang command-line arguments in vm.args file
@@ -67,7 +66,7 @@
 [ -f "$EJABBERDCTL_CONFIG_PATH" ] && . "$EJABBERDCTL_CONFIG_PATH"
 [ -n "$ERLANG_NODE_ARG" ] && ERLANG_NODE="$ERLANG_NODE_ARG"
 [ "$ERLANG_NODE" = "${ERLANG_NODE%.*}" ] && S="-s"
-: "${SPOOL_DIR:="{{spool_dir}}"}"
+: "${SPOOL_DIR:="/var/lib/ejabberd"}"
 : "${EJABBERD_LOG_PATH:="$LOGS_DIR/ejabberd.log"}"
 
 # define erl parameters
@@ -121,7 +120,9 @@
 exec_cmd()
 {
     case $EXEC_CMD in
-        as_install_user) su -s /bin/sh -c '"$0" "$@"' "$INSTALLUSER" -- "$@" ;;
+        as_install_user)
+            cd ${SPOOL_DIR}
+            su -s /bin/sh -c '"$0" "$@"' "$INSTALLUSER" -- "$@" ;;
         as_current_user) "$@" ;;
     esac
 }
